| Elektra 0.11.0

Namespaces | Functions
pluginspec.cpp File Reference

Implementation of plugin spec. More...

`#include <pluginspec.hpp>`
`#include <toolexcept.hpp>`
`#include <iostream>`

## Namespaces
namespace | kdb
| This is the main namespace for the C++ binding and libraries.
namespace | kdb::tools
| This namespace is for the libtool library.

## Functions
bool | kdb::tools::operator== (PluginSpec const &self, PluginSpec const &other)
| Compare two pluginspec if their value is equal.
bool | kdb::tools::operator!= (PluginSpec const &self, PluginSpec const &other)
| Compare two pluginspec if their value is not equal.
std::ostream & | kdb::tools::operator<< (std::ostream &os, PluginSpec const &spec)
| Output the name, refname and size of config.

## Detailed Description

Implementation of plugin spec.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)